View Issue Details

IDProjectCategoryView StatusLast Update
0005756Talerexchangepublic2021-09-02 18:14
ReporterMarcello Stanisci Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005756: "parse_payto()" defined in THREE places!
DescriptionThis mentioned helper function shall be defined once, in some dedicated library.
TagsNo tags attached.

Activities

Christian Grothoff

2019-06-08 19:56

manager   ~0014520

Fixed in 8800110b..4f846eab

Christian Grothoff

2021-09-02 18:14

manager   ~0018275

Fix committed to master branch.

Related Changesets

exchange: master 4f846eab

2019-06-08 19:55:18

Christian Grothoff

Details Diff
fix 0005756, also change sepa->iban as per payto:// spec Affected Issues
0005756
mod - ChangeLog Diff File
mod - src/benchmark/taler-exchange-benchmark.c Diff File
mod - src/exchangedb/perf_taler_exchangedb_init.c Diff File
mod - src/exchangedb/plugin_exchangedb_postgres.c Diff File
mod - src/include/taler_exchangedb_plugin.h Diff File
mod - src/include/taler_signatures.h Diff File
mod - src/include/taler_wire_lib.h Diff File
mod - src/include/taler_wire_plugin.h Diff File
mod - src/lib/test_auditor_api.conf Diff File
mod - src/lib/test_exchange_api.conf Diff File
mod - src/lib/test_exchange_api_keys_cherry_picking.conf Diff File
mod - src/wire-plugins/Makefile.am Diff File
mod - src/wire-plugins/plugin_wire_ebics.c Diff File
mod - src/wire-plugins/plugin_wire_taler-bank.c Diff File
mod - src/wire-plugins/test_ebics_wireformat.c Diff File
mod - src/wire/Makefile.am Diff File
mod - src/wire/wire_helper.c Diff File

Issue History

Date Modified Username Field Change
2019-06-07 18:20 Marcello Stanisci New Issue
2019-06-07 18:20 Marcello Stanisci Status new => assigned
2019-06-07 18:20 Marcello Stanisci Assigned To => Christian Grothoff
2019-06-07 18:21 Marcello Stanisci Description Updated
2019-06-08 19:47 Christian Grothoff Product Version => git (master)
2019-06-08 19:47 Christian Grothoff Fixed in Version => 0.6
2019-06-08 19:47 Christian Grothoff Target Version => 0.6
2019-06-08 19:56 Christian Grothoff Status assigned => resolved
2019-06-08 19:56 Christian Grothoff Resolution open => fixed
2019-06-08 19:56 Christian Grothoff Note Added: 0014520
2019-12-20 19:12 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 4f846eab
2021-09-02 18:14 Christian Grothoff Note Added: 0018275